Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.record
Class RecordTypeBuilder

    java.lang.Object
      com.servingxml.util.record.RecordTypeBuilder

    public class RecordTypeBuilder

extends java.lang.Object

A `RecordTypeBuilder` class builds a record.

Constructor Summary
`RecordTypeBuilder(Name recordTypeName)` Creates a record builder with no initial field types.
`RecordTypeBuilder(Name recordTypeName, int capacity)` Creates a record builder with no initial field types.
`RecordTypeBuilder(RecordType recordType)` Creates a record builder with no initial field types.

Method Summary
`protected int` | `addFieldType(FieldType fieldType)` Adds a field type.
`void` | `clear()`
`int` | `fieldCount()` Gets the number of fields
`protected int` | `getFieldIndex(Name name)`
`Name` | `getFieldName(int i)`
`void` | `setFieldType(Name name)` Sets a value for a field.
`RecordType` | `toRecordType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordTypeBuilder

    public RecordTypeBuilder(RecordType recordType)

  Creates a record builder with no initial field types.

### RecordTypeBuilder

    public RecordTypeBuilder(Name recordTypeName)

  Creates a record builder with no initial field types.

### RecordTypeBuilder

    public RecordTypeBuilder(Name recordTypeName,
                             int capacity)

  Creates a record builder with no initial field types.

Method Detail

### setFieldType

    public void setFieldType(Name name)

  Sets a value for a field.

  Parameters:
    `name` - The field name.

### fieldCount

    public int fieldCount()

  Gets the number of fields

  Returns:
    The number of fields

### toRecordType

    public RecordType toRecordType()

### getFieldName

    public Name getFieldName(int i)

### getFieldIndex

    protected int getFieldIndex(Name name)

### addFieldType

    protected int addFieldType(FieldType fieldType)

  Adds a field type.

  Parameters:
    `fieldType` - A field type.

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD